org.eclipse.microprofile.metrics

## Interface Metered

All Superinterfaces:
  Counting, Metric

All Known Subinterfaces:
  Meter, Timer

    public interface Metered
    extends Metric, Counting

An object which maintains mean and exponentially-weighted rate.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCount()` Returns the number of events which have been marked.
`double` `getFifteenMinuteRate()` Returns the fifteen-minute exponentially-weighted moving average rate at which events have occurred since the meter was created.
`double` `getFiveMinuteRate()` Returns the five-minute exponentially-weighted moving average rate at which events have occurred since the meter was created.
`double` `getMeanRate()` Returns the mean rate at which events have occurred since the meter was created.
`double` `getOneMinuteRate()` Returns the one-minute exponentially-weighted moving average rate at which events have occurred since the meter was created.

### Method Detail

#### getCount

    long getCount()

Returns the number of events which have been marked.

Specified by:
  `getCount` in interface `Counting`
Returns:
  the number of events which have been marked

#### getFifteenMinuteRate

    double getFifteenMinuteRate()

Returns the fifteen-minute exponentially-weighted moving average rate at which events have occurred since the meter was created. This rate has the same exponential decay factor as the fifteen-minute load average in the `top` Unix command.

Returns:
  the fifteen-minute exponentially-weighted moving average rate at which events have occurred since the meter was created

#### getFiveMinuteRate

    double getFiveMinuteRate()

Returns the five-minute exponentially-weighted moving average rate at which events have occurred since the meter was created. This rate has the same exponential decay factor as the five-minute load average in the `top` Unix command.

Returns:
  the five-minute exponentially-weighted moving average rate at which events have occurred since the meter was created

#### getMeanRate

    double getMeanRate()

Returns the mean rate at which events have occurred since the meter was created.

Returns:
  the mean rate at which events have occurred since the meter was created

#### getOneMinuteRate

    double getOneMinuteRate()

Returns the one-minute exponentially-weighted moving average rate at which events have occurred since the meter was created. This rate has the same exponential decay factor as the one-minute load average in the `top` Unix command.

Returns:
  the one-minute exponentially-weighted moving average rate at which events have occurred since the meter was created